//
//  ViewController.m
//  UsingCustomLabelDelegate
//
//  Created by Darrell Kress on 4/2/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "ViewController.h"
#import "MyCustomChartDelegate.h"
#import "MyDataClass.h"
@interface ViewController ()
{
    IGChartView* _chart;
    IGCategorySeriesDataSourceHelper* _helper;
    MyCustomChartDelegate* _delegate;
}
@end

@implementation ViewController

-(BOOL)prefersStatusBarHidden
{
    return YES;
}

-(NSArray*)makeData
{
    NSMutableArray* data = [[NSMutableArray alloc]init];
    
    MyDataClass* d1 = [[MyDataClass alloc]init];
    d1.firstName = @"Bob";
    d1.lastName = @"Smith";
    d1.salary = 25000.0;
    d1.region = @"Region 1";
    
    [data addObject:d1];

    d1 = [[MyDataClass alloc]init];
    d1.firstName = @"Joe";
    d1.lastName = @"Jones";
    d1.salary = 45000.0;
    d1.region = @"Region 2";
    
    [data addObject:d1];
    
    d1 = [[MyDataClass alloc]init];
    d1.firstName = @"Sam";
    d1.lastName = @"Doe";
    d1.salary = 35000.0;
    d1.region = @"Region 1";
    
    [data addObject:d1];
    
    return data;
}
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _chart = [[IGChartView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height)];
    _chart.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_chart];
    
    _chart.theme = [IGChartDefaultThemes IGTheme];
    
    _delegate = [[MyCustomChartDelegate alloc]init];
    _chart.delegate = _delegate;
    
    _helper = [[IGCategorySeriesDataSourceHelper alloc]initWithData:[self makeData] andValuePath:@"salary"];
    
    IGColumnSeries* series =(IGColumnSeries*) [_chart addSeriesForType:[IGColumnSeries class] usingKey:@"s" withDataSource:_helper firstAxisKey:@"x" secondAxisKey:@"y"];
    
    series.yAxis.minimum = 15000;
    series.yAxis.maximum = 50000;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
